Bug 142825 - performance degrades dramatically when swap exceeds 100M
performance degrades dramatically when swap exceeds 100M
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-14 10:26 EST by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:11:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-12-14 10:26:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
Workstation hangs for 5 - 30 seconds when active swap exceeds
100M (of 1024M available) on P4 non-SMP.

Performance is significantly degraded from RH9.

Linux jetstream 2.4.21-20.EL #1 Wed Aug 18 20:58:25 EDT 2004 i686 i686
i386 GNU/Linux


 08:58:55  up 6 days, 20 min,  2 users,  load average: 0.13, 0.14, 0.10
75 processes: 74 sleeping, 1 running, 0 zombie, 0 stopped
CPU states:  cpu    user    nice  system    irq  softirq  iowait    idle
           total   20.3%    0.0%    0.0%   0.0%     0.0%    0.0%   79.6%
Mem:   511464k av,  272620k used,  238844k free,       0k shrd,  
26252k buff
                    171656k actv,   58732k in_d,    6804k in_c
Swap: 1052216k av,  113612k used,  938604k free                 
115980k cached
                                                                     
          
  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME CPU COMMAND
 2096 root      15   0 77376  32M  4604 S    18.8  6.5 101:32   0 X
    1 root      15   0   484  452   428 S     0.0  0.0   0:03   0 init
    2 root      15   0     0    0     0 SW    0.0  0.0   0:00   0 keventd
    3 root      15   0     0    0     0 SW    0.0  0.0   0:00   0 kapmd
    4 root      34  19     0    0     0 SWN   0.0  0.0   0:00   0
ksoftirqd/0
    7 root      15   0     0    0     0 SW    0.0  0.0   0:00   0 bdflush
    5 root      15   0     0    0     0 SW    0.0  0.0   0:09   0 kswapd
    6 root      15   0     0    0     0 SW    0.0  0.0   0:01   0 kscand
    8 root      15   0     0    0     0 SW    0.0  0.0   0:00   0 kupdated
    9 root      25   0     0    0     0 SW    0.0  0.0   0:00   0
mdrecoveryd
   13 root      15   0     0    0     0 SW    0.0  0.0   0:03   0
kjournald
   68 root      25   0     0    0     0 SW    0.0  0.0   0:00   0 khubd
  213 root      15   0     0    0     0 SW    0.0  0.0   0:00   0
kjournald
  214 root      15   0     0    0     0 SW    0.0  0.0   0:00   0
kjournald
  215 root      15   0     0    0     0 SW    0.0  0.0   0:00   0
kjournald


Version-Release number of selected component (if applicable):
kernel 2.4.21-20.EL

How reproducible:
Always

Steps to Reproduce:
1.  Open a number of applications
2.  When swap exceeds 100M, switch between apps
3.  Time the delay when switching between aps
    

Actual Results:  Switching between applications (bringing mozilla to
foreground)
takes between 5 and 30 seconds when swap size exceeds some
threshold

Expected Results:  Application should move to foreground and accept focus
in a fraction of a second.

Additional info:

This significant decrease in system performance
will be unacceptable to customers who have been using
RH9 or other distributions.
Comment 1 Ernie Petrides 2004-12-14 15:53:36 EST
Significant VM improvements were made during the course of Update 4.
The RHEL3 U4 kernel (2.4.21-27.EL) is scheduled for release on Monday
of next week (12/20).  Please let us know if the U4 kernel performs
acceptably in this scenario.  Thanks in advance.
Comment 2 RHEL Product and Program Management 2007-10-19 15:11:17 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.